org.vishia.gral.awt

## Class AwtGraphicThread

- java.lang.Object
- - org.vishia.gral.base.GralGraphicThread.ImplAccess
  - - org.vishia.gral.awt.AwtGraphicThread

-     public class AwtGraphicThread
      extends GralGraphicThread.ImplAccess

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) AwtWidgetMng` | `awtMng`
    `static java.lang.String` | `version` Version, history and license.
    `(package private) java.awt.Frame` | `window`

    - ### Fields inherited from class org.vishia.gral.base.GralGraphicThread.ImplAccess

      `gralGraphicThread, log, mainWindow, sizeCharProperties, threadGuiDispatch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AwtGraphicThread(GralWindow windowGral, char sizeShow, LogMessage log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `dispatchOsEvents()` Calls the dispatch routine of the implementation graphic.
    `protected void` | `graphicThreadSleep()` Forces the graphic thread to sleep and wait for any events.
    `protected void` | `initGraphic()` This method should be implemented by the graphical implementation layer.
    `void` | `wakeup()` This method should be implemented by the graphical base.

    - ### Methods inherited from class org.vishia.gral.base.GralGraphicThread.ImplAccess

      `gralGraphicThread, setClosed, startThread`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final java.lang.String version

      Version, history and license.
      - 2016-07-16 Hartmut chg: The main window will be created with same methods like all other windows.
      - 2015-05-01 Hartmut chg: gral: some gardening, improving AWT
      - 2011-10-23 Hartmut created.
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### window

          java.awt.Frame window

    - #### awtMng

          AwtWidgetMng awtMng

  - ### Constructor Detail

    - #### AwtGraphicThread

          AwtGraphicThread(GralWindow windowGral,
                           char sizeShow,
                           LogMessage log)

  - ### Method Detail

    - #### initGraphic

          protected void initGraphic()

      Description copied from class: `GralGraphicThread.ImplAccess`
      This method should be implemented by the graphical implementation layer. It should build the graphic main window and returned when finished. This routine is called as the first routine in the Graphic thread's method `GralGraphicThread.run()`. See `SwtGraphicThread`.
      Specified by:
        `initGraphic` in class `GralGraphicThread.ImplAccess`

    - #### dispatchOsEvents

          protected boolean dispatchOsEvents()

      Description copied from class: `GralGraphicThread.ImplAccess`
      Calls the dispatch routine of the implementation graphic.
      Specified by:
        `dispatchOsEvents` in class `GralGraphicThread.ImplAccess`
      Returns:
        true if dispatching should be continued.

    - #### graphicThreadSleep

          protected void graphicThreadSleep()

      Description copied from class: `GralGraphicThread.ImplAccess`
      Forces the graphic thread to sleep and wait for any events. Either this routine returns if `GralGraphicThread.ImplAccess.wakeup()` is called or this routine returns if the operation system wakes up the graphic thread.
      Specified by:
        `graphicThreadSleep` in class `GralGraphicThread.ImplAccess`

    - #### wakeup

          public void wakeup()

      Description copied from class: `GralGraphicThread.ImplAccess`
      This method should be implemented by the graphical base. It should be waked up the execution of the graphic thread because some actions are registered..
      Specified by:
        `wakeup` in class `GralGraphicThread.ImplAccess`